none
TransientFaultHandling for ServiceBus 1.7 RRS feed

  • Question

  • Hi guys,

    I'm using the EnterpriseLibrary.WindowsAzure.TransientFaultHandling nuget package in my app.

    it's current version Microsoft.Practices.EnterpriseLibrary.WindowsAzure.TransientFaultHandling.dll (5.0.1118.2) references Microsoft.ServiceBus, Version=1.6.0.0

    thus I'm having problems using it with the 1.7 version of ServiceBus.

    (When) can we expect a new version of TransientFaultHandling referencing Microsoft.ServiceBus, Version=1.7.0.0?

    Thanks,

    Stevo

    Wednesday, August 1, 2012 12:38 AM

Answers

  • Why dont you try adding the binding redirect in the config. Mostly it should work.

    <runtime>
        <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
          <dependentAssembly>
            <assemblyIdentity name="Microsoft.ServiceBus"
                              publicKeyToken="31bf3856ad364e35"
                              culture="neutral" />
            <bindingRedirect oldVersion="1.6.0.0" newVersion="1.7.0.0" />
          </dependentAssembly>
        </assemblyBinding>
      </runtime>
    

    Otherwise you can download the source of the application block from code plex, update the reference to 1.7 and compile it.

    One of the above approached should work.



    Please mark the replies as Answered if they help and Vote if you found them helpful.

    • Marked as answer by Stevo Zilik Thursday, August 2, 2012 8:03 AM
    Wednesday, August 1, 2012 5:00 AM

All replies

  • Why dont you try adding the binding redirect in the config. Mostly it should work.

    <runtime>
        <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
          <dependentAssembly>
            <assemblyIdentity name="Microsoft.ServiceBus"
                              publicKeyToken="31bf3856ad364e35"
                              culture="neutral" />
            <bindingRedirect oldVersion="1.6.0.0" newVersion="1.7.0.0" />
          </dependentAssembly>
        </assemblyBinding>
      </runtime>
    

    Otherwise you can download the source of the application block from code plex, update the reference to 1.7 and compile it.

    One of the above approached should work.



    Please mark the replies as Answered if they help and Vote if you found them helpful.

    • Marked as answer by Stevo Zilik Thursday, August 2, 2012 8:03 AM
    Wednesday, August 1, 2012 5:00 AM
  • The config redirect works, thanks!
    Thursday, August 2, 2012 8:04 AM
  • Glad that solution worked.



    Please mark the replies as Answered if they help and Vote if you found them helpful.

    Friday, August 3, 2012 4:40 AM